import argparse
import urllib.request
import time
import ssl


def main():
    parser = argparse.ArgumentParser()
    parser.add_argument('--scheme', required=True, choices=['http', 'https'])
    parser.add_argument('--host', required=True)
    parser.add_argument('--port', required=True)
    parser.add_argument('--basepath', required=True)
    parser.add_argument('--client-name', required=True)
    parser.add_argument('--token', required=True)
    parser.add_argument('--cycle', required=True)
    parser.add_argument('--key', required=True)
    parser.add_argument('--cert', required=True)
    args = parser.parse_args()
    scheme = args.scheme
    host = args.host
    port = args.port
    basepath = args.basepath
    client_name = args.client_name
    token = args.token
    cycle = args.cycle
    url = '%s://%s:%s/%s/updateClient.action?clientid=%s&token=%s' % (scheme, host, port, basepath, client_name, token)
    key = args.key
    cert = args.cert
    context = ssl._create_unverified_context()
    context.load_cert_chain(cert, key)
    opener = urllib.request.build_opener(urllib.request.HTTPSHandler(context=context))
    while True:
        print(url)
        try:
            response = opener.open(url)
            str_res = response.read().decode('utf-8')
            print(str_res)
        except Exception as e:
            print(e)
        time.sleep(int(cycle))


if __name__ == '__main__':
    main()